﻿using System;
using System.Configuration;
using System.Web.UI;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace DisplayASimpleMap2
{
    public partial class DisplayASimpleMap2 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF")); ;
                Map1.CurrentExtent = new RectangleShape(-18595090.514592, 12419998.078083, 18427337.004236, -9065533.3255494);
                Map1.MapUnit = GeographyUnit.Meter;

                Map1.MapTools.OverlaySwitcher.Enabled = false;
                Map1.MapTools.MouseCoordinate.Enabled = true;
                Map1.MapTools.PanZoomBar.Enabled = true;
                Map1.MapTools.MiniMap.Enabled = true;

                GoogleOverlay google = new GoogleOverlay("Google Map");
                google.JavaScriptLibraryUri = new Uri(ConfigurationManager.AppSettings["GoogleUriV3"]);
                google.GoogleMapType = GoogleMapType.Physical;

                Map1.CustomOverlays.Add(google);

                ManagedProj4Projection proj4 = new ManagedProj4Projection();

                //Also we can get projection parameters string by EPSG ID.
                //proj4.ExternalProjectionParametersString = ManagedProj4Projection.GetEpsgParametersString(4326);
                proj4.InternalProjectionParametersString = ManagedProj4Projection.GetDecimalDegreesParametersString();
                proj4.ExternalProjectionParametersString = ManagedProj4Projection.GetGoogleMapParametersString();
                proj4.Open();

                Feature feature = new Feature(new RectangleShape(-18, 62, 18, 48));

                Map1.EditOverlay.FeatureSource.Projection = proj4;
                Map1.EditOverlay.Features.Add(feature);

                Map1.CurrentExtent = proj4.ConvertToExternalProjection(new RectangleShape(-18, 62, 18, 48));
            }
        }
    }
}